favorites resource endpoint
URL: /assets/<id>/favorites.<format>
Supported Methods
| GET | Get a list of favorites that have been created for the selected asset. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<Favorite>.
- entries (array<Favorite>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of favorites that have been created for the selected asset.
$tp->assets->getFavorites(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Example Request
GET /assets/6a012877b13de7970c012877b143d0970c/favorites.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 5134
{
"entries": [
{
"published": "2010-02-18T00:32:13Z",
"urlId": "6a012877b13de7970c012877b143d0970c:6p0120a8ae8949970b",
"inReplyTo": {
"urlId": "6a012877b13de7970c012877b143d0970c",
"excerpt": "I've started this blog to share interesting law facts and information about cases I find interesting. Information in this blog is not legal advice.",
"objectTypes": [
"tag:api.typepad.com,2009:Post"
],
"author": {
"urlId": "6p012877b13de7970c",
"location": null,
"interests": [],
"objectTypes": [
"tag:api.typepad.com,2009:User"
],
"profilePageUrl": "http://profile.typepad.com/loblawatlaw",
"aboutMe": null,
"objectType": "User",
"preferredUsername": "loblawatlaw",
"id": "tag:api.typepad.com,2009:6p012877b13de7970c",
"avatarLink": {
"width": 73,
"url": "http://a0.twimg.com/sticky/default_profile_images/default_profile_2_bigger.png",
"height": 73
},
"displayName": "Bob Loblaw"
},
"permalinkUrl": "http://bobloblaw.typepad.com/blog/2010/02/welcome-t.html",
"href": "assets/6a012877b13de7970c012877b143d0970c.json",
"objectType": "Post",
"type": "application/json",
"id": "tag:api.typepad.com,2009:6a012877b13de7970c012877b143d0970c",
"title": "Welcome to my Blog"
},
"id": "tag:typepad,2009:6a012877b13de7970c012877b143d0970c:6p0120a8ae8949970b",
"author": {
"urlId": "6p0120a8ae8949970b",
"location": null,
"interests": [],
"objectTypes": [
"tag:api.typepad.com,2009:User"
],
"profilePageUrl": "http://profile.typepad.com/matkinsdevin",
"aboutMe": null,
"objectType": "User",
"preferredUsername": "matkinsdevin",
"id": "tag:api.typepad.com,2009:6p0120a8ae8949970b",
"avatarLink": {
"width": 250,
"urlTemplate": "http://static.typepad.com/.shared:vf3abf28:typepad:en_us/default-userpics/08-{spec}.gif",
"url": "http://static.typepad.com/.shared:vf3abf28:typepad:en_us/default-userpics/08-250si.gif",
"height": 250
},
"displayName": "Devin Jineer"
}
},
{
"published": "2010-02-18T00:31:02Z",
"urlId": "6a012877b13de7970c012877b143d0970c:6p012877b13de7970c",
"inReplyTo": {
"urlId": "6a012877b13de7970c012877b143d0970c",
"excerpt": "I've started this blog to share interesting law facts and information about cases I find interesting. Information in this blog is not legal advice.",
"objectTypes": [
"tag:api.typepad.com,2009:Post"
],
"author": {
"urlId": "6p012877b13de7970c",
"location": null,
"interests": [],
"objectTypes": [
"tag:api.typepad.com,2009:User"
],
"profilePageUrl": "http://profile.typepad.com/loblawatlaw",
"aboutMe": null,
"objectType": "User",
"preferredUsername": "loblawatlaw",
"id": "tag:api.typepad.com,2009:6p012877b13de7970c",
"avatarLink": {
"width": 73,
"url": "http://a0.twimg.com/sticky/default_profile_images/default_profile_2_bigger.png",
"height": 73
},
"displayName": "Bob Loblaw"
},
"permalinkUrl": "http://bobloblaw.typepad.com/blog/2010/02/welcome-t.html",
"href": "assets/6a012877b13de7970c012877b143d0970c.json",
"objectType": "Post",
"type": "application/json",
"id": "tag:api.typepad.com,2009:6a012877b13de7970c012877b143d0970c",
"title": "Welcome to my Blog"
},
"id": "tag:typepad,2009:6a012877b13de7970c012877b143d0970c:6p012877b13de7970c",
"author": {
"urlId": "6p012877b13de7970c",
"location": null,
"interests": [],
"objectTypes": [
"tag:api.typepad.com,2009:User"
],
"profilePageUrl": "http://profile.typepad.com/loblawatlaw",
"aboutMe": null,
"objectType": "User",
"preferredUsername": "loblawatlaw",
"id": "tag:api.typepad.com,2009:6p012877b13de7970c",
"avatarLink": {
"width": 73,
"url": "http://a0.twimg.com/sticky/default_profile_images/default_profile_2_bigger.png",
"height": 73
},
"displayName": "Bob Loblaw"
}
}
],
"totalResults": 2
}